Update a production room
Updates an existing production room's properties such as name, description, color, icon, sort order, or active status.
Updates an existing production room's properties such as name, description, color, icon, sort order, or active status.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Room ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production/rooms/550e8400-e29b-41d4-a716-446655440000" \ -H "Content-Type: application/json" \ -d '{}'{ "room": { "id": "string", "labId": "string", "name": "string", "description": "string", "color": "string", "icon": "string", "layoutType": "default", "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string" }}Empty
Empty